
Figure - Bug #115172
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114579 (New): GameMode

【AF】【EVT2】【游戏模式】游戏模式GPU设置中设置了帧率后进入游戏不生效
2023-01-09 14:02 - CD Test赵飞

Status: CLOSED Start date: 2023-01-09

Priority: Normal Due date: 2023-01-18

Assignee: CDTS_TEST 王成 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301080304

Resolution: -- Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0068.X101

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 添加动态帧率配置

Description

【前提条件】

1、设备已开机

2、游戏已安装

【测试步骤】

3、进入设置 - 游戏模式设置 - GPU设置 -自定义模式

4、帧率选择45

5、打开游戏

6、执行以下命令查看帧率：

adb shell dumpsys display|grep mActiveSfDisplayMode

【预期结果】

6、命令查询的帧率为45

【实际结果】

6、命令查询的帧率为60

Related issues:

Related to Figure - 开发 Dev # 113445: 【MK】【FW】【GameMode】【T... 完成 Closed 2022-11-01

History

#1 - 2023-01-11 17:59 - CD FW 曹覃刚

- Due date set to 2023-01-18

- Status changed from New to ASSIGNED

正在与BSP的同事，协同调查，我们的屏幕是否支持动态帧率，暂定01/18

#2 - 2023-01-13 10:19 - CD FW王武军

调查分析：上层改动帧率是否生效主要有两个方面的因素。

1、上层设置的值是否是合理的，是否正确写入数据库；
2、bsp端的设备树配置信息是否支持多帧率，具体支持的帧率范围是怎么的

从日志和dump信息分析出的结论：display的配置并未支持多帧率，需要bsp的同事

对display的设备树进行正确的配置。

#3 - 2023-01-13 10:20 - CD FW王武军

- Assignee changed from CD FW王武军 to CD BSP-余霄

#4 - 2023-01-13 10:59 - CD FW 曹覃刚

- Category changed from CD-FW to BSP

#5 - 2023-01-13 13:56 - CD BSP-余霄

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-余霄 to CDTS_TEST 王成

- Root cause set to 添加动态整理配置

https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/qcom/proprietary/+/176168

代码已入库，AF验证OK，请使用13号版本进行验证

#6 - 2023-01-13 14:03 - CD BSP-余霄

- Root cause changed from 添加动态整理配置 to 添加动态帧率配置

#7 - 2023-01-14 16:11 - 物联网测试组_CDTS 段小刚

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0068.X101

验证结果：可以正常实时修改帧率——Pass

#8 - 2023-01-14 16:12 - 物联网测试组_CDTS 段小刚

- Status changed from VERIFIED to CLOSED

问题已解决——特此关闭

Files

logcat.txt 15.2 MB 2023-01-09 CD Test赵飞

adb_command.png 23 KB 2023-01-09 CD Test赵飞
